## org.eclipse.emf.ecore.xmi
Interface DOMHandler

All Known Implementing Classes:
  DefaultDOMHandlerImpl

    public interface DOMHandler

This interface is a handler that is called by `XMLSave` while converting the contents of an XMLResource to DOM, to allow application to record EMF values that were used to create a DOM node.

Since:
  2.1.0

Method Summary
`DOMHelper` `getDOMHelper()`
`void` `recordValues(org.w3c.dom.Node node, EObject container, EStructuralFeature feature, java.lang.Object value)` Record the DOM node and its corresponding EMF values.

Method Detail

### recordValues

    void recordValues(org.w3c.dom.Node node,
                      EObject container,
                      EStructuralFeature feature,
                      java.lang.Object value)

  Record the DOM node and its corresponding EMF values.

  Parameters:
    `node` - the DOM node
    `container` - the `EObject` which is the node's container
    `feature` - the feature for DOM node value
    `value` - the EMF value which is obtained by querying the value of the specified feature on the container `EObject.eGet(EStructuralFeature)`; this value is used to create the <emf>node</emf>

### getDOMHelper

    DOMHelper getDOMHelper()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.